Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## timetable.solver.strategy.value
Interface ValueSelectionInterface

All Known Implementing Classes:
  AbstractValueSelection

public interface ValueSelectionInterface

Rozhraní pro heuristiku výběru umístění. Rozvrhovací program drží v paměti jednu instanci této třídy, v každé iteraci nejdříve provede reset heuristiky s vybranou aktivitou. Dále pro každé možné umístění zavolá metodu addValue. Následně zavolá metodu select a pomocí metod selectedXXX si přečte vybrané umístění.

Method Summary
`void` | `addValue(int slot, ActivityResources selectedResources, ActivityDependenceGroup dependences, ActivityGroup conflictActivities)` Přidání možného umístění do výběru.
`void` | `reset(Activity activity)` Nastavení aktivity, pro kterou se bude umístění hledat.
`void` | `select()` Metoda provede výběr umístění.
`ActivityGroup` | `selectedConflictActivities()` Vrací vybrané umístění.
`ActivityResources` | `selectedResources()` Vrací vybrané umístění.
`int` | `selectedSlot()` Vrací vybrané umístění.

Method Detail

### reset

    public void reset(Activity activity)

  Nastavení aktivity, pro kterou se bude umístění hledat. Reset heuristiky.
  Parameters:
    `activity` - vybraná aktivita

### addValue

    public void addValue(int slot,
                         ActivityResources selectedResources,
                         ActivityDependenceGroup dependences,
                         ActivityGroup conflictActivities)
                  throws TimetableException

  Přidání možného umístění do výběru.
  Parameters:
    `slot` - počáteční slot
    `selectedResources` - vybrané zdroje
    `dependences` - množina všech závislostí
    `conflictActivities` - množina aktivit, které jsou s daným umístěním v konfliktu - budou se muset z rozvrhu odebrat v případě zvolení tohoto umístění

### select

    public void select()
                throws TimetableException

  Metoda provede výběr umístění.

### selectedSlot

    public int selectedSlot()

  Vrací vybrané umístění.
  Returns:
    počáteční slot (null, pokud není vybráno umístění)

### selectedResources

    public ActivityResources selectedResources()

  Vrací vybrané umístění.
  Returns:
    vybrané zdroje (null, pokud není vybráno umístění)

### selectedConflictActivities

    public ActivityGroup selectedConflictActivities()

  Vrací vybrané umístění.
  Returns:
    konfliktní aktivity (null, pokud není vybráno umístění)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD